diff --git a/src/main/java/net/minecraft/client/render/entity/FireflyRenderer.java b/src/main/java/net/minecraft/client/render/entity/MobRendererFireflyCluster.java
similarity index 74%
rename from src/main/java/net/minecraft/client/render/entity/FireflyRenderer.java
rename to src/main/java/net/minecraft/client/render/entity/MobRendererFireflyCluster.java
index 36a52ed5e..5b07ba9fd 100644
--- a/src/main/java/net/minecraft/client/render/entity/FireflyRenderer.java
+++ b/src/main/java/net/minecraft/client/render/entity/MobRendererFireflyCluster.java
@@ -4,23 +4,23 @@ import net.minecraft.client.Minecraft;
 import net.minecraft.client.render.Lighting;
 import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import net.minecraft.client.render.tessellator.Tessellator;
-import net.minecraft.core.entity.animal.FireflyClusterMob;
-import net.minecraft.client.entity.particle.FireflyParticle;
+import net.minecraft.core.entity.animal.MobFireflyCluster;
+import net.minecraft.client.entity.particle.ParticleFirefly;
 import org.lwjgl.opengl.GL11;
 
 import java.util.ArrayList;
 import java.util.List;
 import java.util.Random;
 
-public class FireflyRenderer extends EntityRenderer<FireflyClusterMob> {
-	private final List<FireflyParticle> fireflies = new ArrayList<>();
+public class MobRendererFireflyCluster extends EntityRenderer<MobFireflyCluster> {
+	private final List<ParticleFirefly> fireflies = new ArrayList<>();
 	private final Minecraft mc;
 	private final Random rand = new Random(0);
 	private long lastTick;
 
-	public FireflyRenderer() {
+	public MobRendererFireflyCluster() {
 		for (int i = 0; i < 20; i++) {
-			FireflyParticle fx = new FireflyParticle(null, rand.nextFloat() - 0.5f, rand.nextFloat() - 0.5f, 0, 0, 0, 0, 0);
+			ParticleFirefly fx = new ParticleFirefly(null, rand.nextFloat() - 0.5f, rand.nextFloat() - 0.5f, 0, 0, 0, 0, 0);
 			fx.noPhysics = true;
 			fx.setAge(rand.nextInt(20));
 			fireflies.add(fx);
@@ -30,12 +30,12 @@ public class FireflyRenderer extends EntityRenderer<FireflyClusterMob> {
 	}
 
 	@Override
-	public void render(Tessellator tessellator, FireflyClusterMob parent, double x, double y, double z, float yaw, float partialTick) {
+	public void render(Tessellator tessellator, MobFireflyCluster parent, double x, double y, double z, float yaw, float partialTick) {
 		// Fireflies are rendered as particles which are spawned in the entity class
 	}
 
 	@Override
-	public void renderPreview(Tessellator tessellator, FireflyClusterMob entity, double x, double y, double z, float yaw, float partialTick) {
+	public void renderPreview(Tessellator tessellator, MobFireflyCluster entity, double x, double y, double z, float yaw, float partialTick) {
 		super.renderPreview(tessellator, entity, x, y, z, yaw, partialTick);
 
 		long currentTick = System.currentTimeMillis();
@@ -48,7 +48,7 @@ public class FireflyRenderer extends EntityRenderer<FireflyClusterMob> {
 		Lighting.disable();
 		TextureRegistry.particleAtlas.bind();
 		for (int i = 0; i < fireflies.size(); i++) {
-			FireflyParticle firefly = fireflies.get(i);
+			ParticleFirefly firefly = fireflies.get(i);
 			Tessellator t = Tessellator.instance;
 			t.startDrawingQuads();
 			firefly.renderParticleInGui(t, partialTick);
@@ -68,7 +68,7 @@ public class FireflyRenderer extends EntityRenderer<FireflyClusterMob> {
 		if (fireflies.size() < 20) {
 			for (int i = fireflies.size(); i < 20; i++) {
 				if (rand.nextInt(4) == 0) continue;
-				FireflyParticle fx = new FireflyParticle(null, rand.nextFloat() - 0.5f, rand.nextFloat() - 0.5f, 0, 0, 0, 0, entity.getColor().getId());
+				ParticleFirefly fx = new ParticleFirefly(null, rand.nextFloat() - 0.5f, rand.nextFloat() - 0.5f, 0, 0, 0, 0, entity.getColor().getId());
 				fx.noPhysics = true;
 				fx.setAge(rand.nextInt(20));
 				fireflies.add(fx);
diff --git a/src/main/java/net/minecraft/client/render/entity/GhastRenderer.java b/src/main/java/net/minecraft/client/render/entity/MobRendererGhast.java
similarity index 51%
rename from src/main/java/net/minecraft/client/render/entity/GhastRenderer.java
rename to src/main/java/net/minecraft/client/render/entity/MobRendererGhast.java
index 0b90373dc..353906b40 100644
--- a/src/main/java/net/minecraft/client/render/entity/GhastRenderer.java
+++ b/src/main/java/net/minecraft/client/render/entity/MobRendererGhast.java
@@ -1,29 +1,29 @@
 package net.minecraft.client.render.entity;
 
-import net.minecraft.client.render.model.GhastModel;
+import net.minecraft.client.render.model.ModelGhast;
 import net.minecraft.client.render.tessellator.Tessellator;
-import net.minecraft.core.entity.monster.GhastMob;
+import net.minecraft.core.entity.monster.MobGhast;
 import org.lwjgl.opengl.GL11;
 
-public class GhastRenderer extends MobRenderer<GhastMob>
+public class MobRendererGhast extends MobRenderer<MobGhast>
 {
 
-    public GhastRenderer()
+    public MobRendererGhast()
     {
-        super(new GhastModel(), 0.5F);
+        super(new ModelGhast(), 0.5F);
     }
 
     @Override
-    public void renderPreview(Tessellator tessellator, GhastMob ghastMob, double x, double y, double z, float yaw, float partialTick) {
+    public void renderPreview(Tessellator tessellator, MobGhast mobGhast, double x, double y, double z, float yaw, float partialTick) {
         GL11.glPushMatrix();
         GL11.glScalef(0.25f, 0.25f, 0.25f);
-        super.renderPreview(tessellator, ghastMob, x, y, z, yaw, partialTick);
+        super.renderPreview(tessellator, mobGhast, x, y, z, yaw, partialTick);
         GL11.glPopMatrix();
     }
 
     @Override
-    protected void setupScale(GhastMob ghastMob, float partialTick) {
-        float charge = ((float) ghastMob.attackChargeO + (float)(ghastMob.attackCharge - ghastMob.attackChargeO) * partialTick) / 20F;
+    protected void setupScale(MobGhast mobGhast, float partialTick) {
+        float charge = ((float) mobGhast.attackChargeO + (float)(mobGhast.attackCharge - mobGhast.attackChargeO) * partialTick) / 20F;
         if(charge < 0.0F)
         {
             charge = 0.0F;
diff --git a/src/main/java/net/minecraft/client/render/entity/MobRendererGiant.java b/src/main/java/net/minecraft/client/render/entity/MobRendererGiant.java
new file mode 100644
index 000000000..97943c3f9
--- /dev/null
+++ b/src/main/java/net/minecraft/client/render/entity/MobRendererGiant.java
@@ -0,0 +1,31 @@
+package net.minecraft.client.render.entity;
+
+import net.minecraft.client.render.model.ModelBase;
+import net.minecraft.core.entity.monster.MobGiant;
+import org.lwjgl.opengl.GL11;
+
+// Referenced classes of package net.minecraft.src:
+//            RenderLiving, EntityGiantZombie, ModelBase, Mob
+
+public class MobRendererGiant extends MobRenderer<MobGiant>
+{
+
+    public MobRendererGiant(ModelBase modelbase, float f, float f1)
+    {
+        super(modelbase, f * f1);
+        scale = f1;
+    }
+
+    protected void preRenderScale(MobGiant entity, float f)
+    {
+        GL11.glScalef(scale, scale, scale);
+    }
+
+    @Override
+    protected void setupScale(MobGiant entity, float partialTick)
+    {
+        preRenderScale(entity, partialTick);
+    }
+
+    private float scale;
+}
diff --git a/src/main/java/net/minecraft/client/render/entity/HumanRenderer.java b/src/main/java/net/minecraft/client/render/entity/MobRendererHuman.java
similarity index 60%
rename from src/main/java/net/minecraft/client/render/entity/HumanRenderer.java
rename to src/main/java/net/minecraft/client/render/entity/MobRendererHuman.java
index 3649fb627..6a34d18e2 100644
--- a/src/main/java/net/minecraft/client/render/entity/HumanRenderer.java
+++ b/src/main/java/net/minecraft/client/render/entity/MobRendererHuman.java
@@ -1,26 +1,26 @@
 package net.minecraft.client.render.entity;
 
 import net.minecraft.client.render.PlayerSkinParser;
-import net.minecraft.client.render.model.BipedModel;
-import net.minecraft.client.render.model.PlayerModel;
-import net.minecraft.client.render.model.PlayerSlimModel;
+import net.minecraft.client.render.model.ModelBiped;
+import net.minecraft.client.render.model.ModelPlayer;
+import net.minecraft.client.render.model.ModelPlayerSlim;
 import net.minecraft.client.render.tessellator.Tessellator;
-import net.minecraft.core.entity.monster.HumanMob;
+import net.minecraft.core.entity.monster.MobHuman;
 import org.lwjgl.opengl.GL11;
 
-public class HumanRenderer extends MobRenderer<HumanMob>
+public class MobRendererHuman extends MobRenderer<MobHuman>
 {
-    public HumanRenderer()
+    public MobRendererHuman()
     {
-        super(new PlayerModel(0.0F), 0.5F);
-        modelBipedMain = (BipedModel)mainModel;
-//        modelArmorChestplate = new BipedModel(1.0F);
-//        modelArmor = new BipedModel(0.5F);
-        modelThick = new PlayerModel(0.0f);
-        modelSlim = new PlayerSlimModel(0.0f);
+        super(new ModelPlayer(0.0F), 0.5F);
+        modelBipedMain = (ModelBiped)mainModel;
+//        modelArmorChestplate = new ModelBiped(1.0F);
+//        modelArmor = new ModelBiped(0.5F);
+        modelThick = new ModelPlayer(0.0f);
+        modelSlim = new ModelPlayerSlim(0.0f);
     }
     @Override
-    public void render(Tessellator tessellator, HumanMob entity, double x, double y, double z, float yaw, float partialTick) {
+    public void render(Tessellator tessellator, MobHuman entity, double x, double y, double z, float yaw, float partialTick) {
         GL11.glEnable(GL11.GL_BLEND);
         GL11.glBlendFunc(GL11.GL_SRC_ALPHA, GL11.GL_ONE_MINUS_SRC_ALPHA);
         mainModel = entity.slimModel ? modelSlim : modelThick;
@@ -40,20 +40,20 @@ public class HumanRenderer extends MobRenderer<HumanMob>
         GL11.glDisable(GL11.GL_BLEND);
     }
     @Override
-    protected void setupScale(HumanMob entity, float partialTick)
+    protected void setupScale(MobHuman entity, float partialTick)
     {
         float scale = 0.9375F;
         GL11.glScalef(scale, scale, scale);
     }
 
     @Override
-    public void loadEntityTexture(HumanMob entity)
+    public void loadEntityTexture(MobHuman entity)
     {
         bindDownloadableTexture(entity.skinUrl, entity.getEntityTexture(), PlayerSkinParser.instance);
     }
-    private final BipedModel modelBipedMain;
-    private final PlayerModel modelThick;
-    private final PlayerModel modelSlim;
-//    private final BipedModel modelArmorChestplate;
-//    private final BipedModel modelArmor;
+    private final ModelBiped modelBipedMain;
+    private final ModelPlayer modelThick;
+    private final ModelPlayer modelSlim;
+//    private final ModelBiped modelArmorChestplate;
+//    private final ModelBiped modelArmor;
 }
diff --git a/src/main/java/net/minecraft/client/render/entity/PigRenderer.java b/src/main/java/net/minecraft/client/render/entity/MobRendererPig.java
similarity index 51%
rename from src/main/java/net/minecraft/client/render/entity/PigRenderer.java
rename to src/main/java/net/minecraft/client/render/entity/MobRendererPig.java
index ed42e66d3..b4d2a48f9 100644
--- a/src/main/java/net/minecraft/client/render/entity/PigRenderer.java
+++ b/src/main/java/net/minecraft/client/render/entity/MobRendererPig.java
@@ -2,28 +2,28 @@ package net.minecraft.client.render.entity;
 
 
 // Referenced classes of package net.minecraft.src:
-//            RenderLiving, PigMob, BaseModel, Mob
+//            RenderLiving, MobPig, ModelBase, Mob
 
-import net.minecraft.client.render.model.BaseModel;
-import net.minecraft.core.entity.animal.PigMob;
+import net.minecraft.client.render.model.ModelBase;
+import net.minecraft.core.entity.animal.MobPig;
 
-public class PigRenderer extends MobRenderer<PigMob>
+public class MobRendererPig extends MobRenderer<MobPig>
 {
 
-    public PigRenderer(BaseModel modelbase, BaseModel modelbase1, float f)
+    public MobRendererPig(ModelBase modelbase, ModelBase modelbase1, float f)
     {
         super(modelbase, f);
         setArmorModel(modelbase1);
     }
 
-    protected boolean renderSaddledPig(PigMob entity, int i, float f)
+    protected boolean renderSaddledPig(MobPig entity, int i, float f)
     {
         bindTexture("/assets/minecraft/textures/entity/saddle.png");
         return i == 0 && entity != null && entity.getSaddled();
     }
 
     @Override
-    protected boolean prepareArmor(PigMob entity, int renderPass, float partialTick)
+    protected boolean prepareArmor(MobPig entity, int renderPass, float partialTick)
     {
         return renderSaddledPig(entity, renderPass, partialTick);
     }
diff --git a/src/main/java/net/minecraft/client/render/entity/PlayerRenderer.java b/src/main/java/net/minecraft/client/render/entity/MobRendererPlayer.java
similarity index 86%
rename from src/main/java/net/minecraft/client/render/entity/PlayerRenderer.java
rename to src/main/java/net/minecraft/client/render/entity/MobRendererPlayer.java
index aed78ad36..7ceb16e4e 100644
--- a/src/main/java/net/minecraft/client/render/entity/PlayerRenderer.java
+++ b/src/main/java/net/minecraft/client/render/entity/MobRendererPlayer.java
@@ -2,7 +2,7 @@ package net.minecraft.client.render.entity;
 
 import net.minecraft.client.Minecraft;
 
-import net.minecraft.client.entity.player.LocalPlayer;
+import net.minecraft.client.entity.player.PlayerLocal;
 import net.minecraft.client.render.BlockEntityRenderDispatcher;
 import net.minecraft.client.render.Font;
 import net.minecraft.client.render.Lighting;
@@ -10,15 +10,15 @@ import net.minecraft.client.render.PlayerSkinParser;
 import net.minecraft.client.render.RenderBlocks;
 import net.minecraft.client.render.block.model.BlockModel;
 import net.minecraft.client.render.block.model.BlockModelDispatcher;
-import net.minecraft.client.render.blockentity.BlockEntityRenderer;
+import net.minecraft.client.render.blockentity.TileEntityRenderer;
 import net.minecraft.client.render.camera.EntityCamera;
 import net.minecraft.client.render.item.model.ItemModelDispatcher;
-import net.minecraft.client.render.model.BipedModel;
-import net.minecraft.client.render.model.PlayerModel;
-import net.minecraft.client.render.model.PlayerSlimModel;
+import net.minecraft.client.render.model.ModelBiped;
+import net.minecraft.client.render.model.ModelPlayer;
+import net.minecraft.client.render.model.ModelPlayerSlim;
 import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.client.render.texture.stitcher.TextureRegistry;
-import net.minecraft.core.block.entity.BlockEntity;
+import net.minecraft.core.block.entity.TileEntity;
 import net.minecraft.core.block.motion.CarriedBlock;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.item.*;
@@ -28,25 +28,25 @@ import net.minecraft.core.util.helper.MathHelper;
 import net.minecraft.core.world.BlocksContainer;
 import org.lwjgl.opengl.GL11;
 
-public class PlayerRenderer extends MobRenderer<Player>
+public class MobRendererPlayer extends MobRenderer<Player>
 {
-    private BipedModel modelBipedMain;
-    private final PlayerModel modelThick;
-    private final PlayerModel modelSlim;
-    private final BipedModel modelArmorChestplate;
-    private final BipedModel modelArmor;
+    private ModelBiped modelBipedMain;
+    private final ModelPlayer modelThick;
+    private final ModelPlayer modelSlim;
+    private final ModelBiped modelArmorChestplate;
+    private final ModelBiped modelArmor;
 
     private BlocksContainer container = null;
     private RenderBlocks containerRenderBlock = null;
 
-    public PlayerRenderer()
+    public MobRendererPlayer()
     {
-        super(new PlayerModel(0.0F), 0.5F);
-        modelBipedMain = (BipedModel)mainModel;
-        modelArmorChestplate = new BipedModel(1.0F);
-        modelArmor = new BipedModel(0.5F);
-        modelThick = new PlayerModel(0.0f);
-        modelSlim = new PlayerSlimModel(0.0f);
+        super(new ModelPlayer(0.0F), 0.5F);
+        modelBipedMain = (ModelBiped)mainModel;
+        modelArmorChestplate = new ModelBiped(1.0F);
+        modelArmor = new ModelBiped(0.5F);
+        modelThick = new ModelPlayer(0.0f);
+        modelSlim = new ModelPlayerSlim(0.0f);
     }
     protected void renderSpecials(Player player, float partialTick)
     {
@@ -67,12 +67,14 @@ public class PlayerRenderer extends MobRenderer<Player>
                 GL11.glRotatef(180F, 0.0F, 1.0F, 0.0F);
                 GL11.glScalef(scale, -scale, scale);
                 ItemModelDispatcher.getInstance().getDispatch(itemstack).renderItem(Tessellator.instance, renderDispatcher.itemRenderer, player, itemstack);
-            } else {
+            } else if (!(itemstack.getItem() instanceof IArmorItem)) {
+                GL11.glEnable(GL11.GL_CULL_FACE);
                 float scale = 0.625F;
                 GL11.glTranslatef(0.0F, -0.8F, 0.0F);
                 GL11.glRotatef(180, 0.0F, 0.0F, 1.0F);
                 GL11.glScalef(scale, scale, scale);
                 ItemModelDispatcher.getInstance().getDispatch(itemstack).renderItemInWorld(Tessellator.instance, player, itemstack, player.getBrightness(partialTick), 1f, true);
+                GL11.glDisable(GL11.GL_CULL_FACE);
             }
             GL11.glPopMatrix();
         }
@@ -140,12 +142,12 @@ public class PlayerRenderer extends MobRenderer<Player>
         } else {
             modelBipedMain.armRight.render(0.0625F);
         }
-        if (modelBipedMain instanceof PlayerModel)
+        if (modelBipedMain instanceof ModelPlayer)
         {
             if (isLeft){
-                ((PlayerModel)modelBipedMain).bipedLeftArmOverlay.render(0.0625F);
+                ((ModelPlayer)modelBipedMain).bipedLeftArmOverlay.render(0.0625F);
             } else {
-                ((PlayerModel)modelBipedMain).bipedRightArmOverlay.render(0.0625F);
+                ((ModelPlayer)modelBipedMain).bipedRightArmOverlay.render(0.0625F);
             }
         }
     }
@@ -191,7 +193,7 @@ public class PlayerRenderer extends MobRenderer<Player>
             container.setLightReferenceEntity(null);
             container.clear();
 
-            BlockEntityRenderer<BlockEntity> renderer = BlockEntityRenderDispatcher.instance.getRenderer(carriedBlock.entity);
+            TileEntityRenderer<TileEntity> renderer = BlockEntityRenderDispatcher.instance.getRenderer(carriedBlock.entity);
             if (renderer != null) {
                 carriedBlock.entity.worldObj = player.world;
                 renderer.doRender(tessellator, carriedBlock.entity, -0.5, -0.5, -0.5, partialTick);
@@ -288,44 +290,44 @@ public class PlayerRenderer extends MobRenderer<Player>
         if(itemstack != null)
         {
             Item item = itemstack.getItem();
-            if(item instanceof QuiverItem)
+            if(item instanceof ItemQuiver)
             {
                 bindTexture("/assets/minecraft/textures/armor/quiver.png");
-                BipedModel bipedModel = modelArmorChestplate;
-                bipedModel.body.visible = layer == 1 || layer == 2;
-                setArmorModel(bipedModel);
+                ModelBiped modelBiped = modelArmorChestplate;
+                modelBiped.body.visible = layer == 1 || layer == 2;
+                setArmorModel(modelBiped);
                 return true;
             }
-            if(item instanceof EndlessQuiverItem)
+            if(item instanceof ItemQuiverEndless)
             {
                 bindTexture("/assets/minecraft/textures/armor/quiver_golden.png");
-                BipedModel bipedModel = modelArmorChestplate;
-                bipedModel.body.visible = layer == 1 || layer == 2;
-                setArmorModel(bipedModel);
+                ModelBiped modelBiped = modelArmorChestplate;
+                modelBiped.body.visible = layer == 1 || layer == 2;
+                setArmorModel(modelBiped);
                 return true;
             }
             if(item == Items.ARMOR_BOOTS_ICESKATES)
             {
                 bindTexture("/assets/minecraft/textures/armor/skates.png");
-                BipedModel bipedModel = modelArmorChestplate;
-                bipedModel.legRight.visible = layer == 2 || layer == 3;
-                bipedModel.legLeft.visible = layer == 2 || layer == 3;
-                setArmorModel(bipedModel);
+                ModelBiped modelBiped = modelArmorChestplate;
+                modelBiped.legRight.visible = layer == 2 || layer == 3;
+                modelBiped.legLeft.visible = layer == 2 || layer == 3;
+                setArmorModel(modelBiped);
                 return true;
             }
             if(item instanceof IArmorItem && ((IArmorItem) item).getArmorMaterial() != null)
             {
                 IArmorItem armorItem = (IArmorItem)item;
                 bindTexture(String.format("/assets/%s/textures/armor/%s_%d.png", armorItem.getArmorMaterial().identifier.namespace, armorItem.getArmorMaterial().identifier.value, (layer != 2 ? 1 : 2)));
-                BipedModel bipedModel = layer != 2 ? modelArmorChestplate : modelArmor;
-                bipedModel.head.visible = layer == 0;
-                bipedModel.hair.visible = layer == 0;
-                bipedModel.body.visible = layer == 1 || layer == 2;
-                bipedModel.armRight.visible = layer == 1;
-                bipedModel.armLeft.visible = layer == 1;
-                bipedModel.legRight.visible = layer == 2 || layer == 3;
-                bipedModel.legLeft.visible = layer == 2 || layer == 3;
-                setArmorModel(bipedModel);
+                ModelBiped modelBiped = layer != 2 ? modelArmorChestplate : modelArmor;
+                modelBiped.head.visible = layer == 0;
+                modelBiped.hair.visible = layer == 0;
+                modelBiped.body.visible = layer == 1 || layer == 2;
+                modelBiped.armRight.visible = layer == 1;
+                modelBiped.armLeft.visible = layer == 1;
+                modelBiped.legRight.visible = layer == 2 || layer == 3;
+                modelBiped.legLeft.visible = layer == 2 || layer == 3;
+                setArmorModel(modelBiped);
                 return true;
             }
         }
@@ -382,7 +384,7 @@ public class PlayerRenderer extends MobRenderer<Player>
         modelArmorChestplate.sneaking = modelArmor.sneaking = modelBipedMain.sneaking = entity.isSneaking();
         modelArmorChestplate.isRiding = modelArmor.isRiding = modelBipedMain.isRiding = entity.isPassenger();
         double d3 = y - (double)entity.heightOffset;
-        if(entity.isSneaking() && !(entity instanceof LocalPlayer))
+        if(entity.isSneaking() && !(entity instanceof PlayerLocal))
         {
             d3 -= 0.125D;
         }
diff --git a/src/main/java/net/minecraft/client/render/entity/MobRendererScorpion.java b/src/main/java/net/minecraft/client/render/entity/MobRendererScorpion.java
new file mode 100644
index 000000000..77841ed69
--- /dev/null
+++ b/src/main/java/net/minecraft/client/render/entity/MobRendererScorpion.java
@@ -0,0 +1,30 @@
+package net.minecraft.client.render.entity;
+
+import net.minecraft.client.render.model.ModelScorpion;
+import net.minecraft.core.entity.monster.MobScorpion;
+
+public class MobRendererScorpion extends MobRenderer<MobScorpion>
+{
+
+    public MobRendererScorpion()
+    {
+        super(new ModelScorpion(), 0.5F);
+        setArmorModel(new ModelScorpion());
+    }
+    protected boolean doRenderPass(MobScorpion scorpion, int i, float f)
+    {
+        return i == 0;
+    }
+
+    @Override
+    protected float getMaxDeathRotation(MobScorpion entity)
+    {
+        return 180F;
+    }
+
+    @Override
+    protected boolean prepareArmor(MobScorpion entity, int renderPass, float partialTick)
+    {
+        return doRenderPass(entity, renderPass, partialTick);
+    }
+}
diff --git a/src/main/java/net/minecraft/client/render/entity/SheepRenderer.java b/src/main/java/net/minecraft/client/render/entity/MobRendererSheep.java
similarity index 65%
rename from src/main/java/net/minecraft/client/render/entity/SheepRenderer.java
rename to src/main/java/net/minecraft/client/render/entity/MobRendererSheep.java
index bbb21fe02..f43118d01 100644
--- a/src/main/java/net/minecraft/client/render/entity/SheepRenderer.java
+++ b/src/main/java/net/minecraft/client/render/entity/MobRendererSheep.java
@@ -1,25 +1,25 @@
 package net.minecraft.client.render.entity;
 
-import net.minecraft.client.render.model.BaseModel;
+import net.minecraft.client.render.model.ModelBase;
+import net.minecraft.core.entity.animal.MobSheep;
 import org.lwjgl.opengl.GL11;
 
 import net.minecraft.client.render.LightmapHelper;
 import net.minecraft.core.Global;
-import net.minecraft.core.entity.animal.SheepMob;
 
 // Referenced classes of package net.minecraft.src:
-//            RenderLiving, SheepMob, BaseModel, Mob
+//            RenderLiving, MobSheep, ModelBase, Mob
 
-public class SheepRenderer extends MobRenderer<SheepMob>
+public class MobRendererSheep extends MobRenderer<MobSheep>
 {
-    public SheepRenderer(BaseModel body, BaseModel wool, BaseModel overlay, float f)
+    public MobRendererSheep(ModelBase body, ModelBase wool, ModelBase overlay, float f)
     {
         super(body, f);
         setArmorModel(wool);
         setOverlayModel(overlay, "/assets/minecraft/textures/entity/sheep_overlay.png");
     }
 
-    protected boolean setWoolColorAndRender(SheepMob entitysheep, int i, float f)
+    protected boolean setWoolColorAndRender(MobSheep entitysheep, int i, float f)
     {
         if(i == 0 && !entitysheep.getSheared())
         {
@@ -31,7 +31,7 @@ public class SheepRenderer extends MobRenderer<SheepMob>
             	brightness = entitysheep.getBrightness(f);
             }
             int j = entitysheep.getFleeceColor().blockMeta;
-            GL11.glColor3f(brightness * SheepMob.FLEECE_COLOR_TABLE[j][0], brightness * SheepMob.FLEECE_COLOR_TABLE[j][1], brightness * SheepMob.FLEECE_COLOR_TABLE[j][2]);
+            GL11.glColor3f(brightness * MobSheep.FLEECE_COLOR_TABLE[j][0], brightness * MobSheep.FLEECE_COLOR_TABLE[j][1], brightness * MobSheep.FLEECE_COLOR_TABLE[j][2]);
             return true;
         } else
         {
@@ -45,7 +45,7 @@ public class SheepRenderer extends MobRenderer<SheepMob>
     }
 
     @Override
-    protected boolean prepareArmor(SheepMob entity, int renderPass, float partialTick)
+    protected boolean prepareArmor(MobSheep entity, int renderPass, float partialTick)
     {
         return setWoolColorAndRender(entity, renderPass, partialTick);
     }
diff --git a/src/main/java/net/minecraft/client/render/entity/SlimeRenderer.java b/src/main/java/net/minecraft/client/render/entity/MobRendererSlime.java
similarity index 66%
rename from src/main/java/net/minecraft/client/render/entity/SlimeRenderer.java
rename to src/main/java/net/minecraft/client/render/entity/MobRendererSlime.java
index a84f6942e..bcbd35a5e 100644
--- a/src/main/java/net/minecraft/client/render/entity/SlimeRenderer.java
+++ b/src/main/java/net/minecraft/client/render/entity/MobRendererSlime.java
@@ -1,22 +1,22 @@
 package net.minecraft.client.render.entity;
 
-import net.minecraft.client.render.model.BaseModel;
-import net.minecraft.core.entity.monster.SlimeMob;
+import net.minecraft.client.render.model.ModelBase;
+import net.minecraft.core.entity.monster.MobSlime;
 import org.lwjgl.opengl.GL11;
 
 // Referenced classes of package net.minecraft.src:
-//            RenderLiving, SlimeMob, BaseModel, Mob
+//            RenderLiving, MobSlime, ModelBase, Mob
 
-public class SlimeRenderer extends MobRenderer<SlimeMob>
+public class MobRendererSlime extends MobRenderer<MobSlime>
 {
 
-    public SlimeRenderer(BaseModel modelbase, BaseModel modelbase1, float f)
+    public MobRendererSlime(ModelBase modelbase, ModelBase modelbase1, float f)
     {
         super(modelbase, f);
         scaleAmount = modelbase1;
     }
 
-    protected boolean renderSlimePassModel(SlimeMob entity, int i, float f)
+    protected boolean renderSlimePassModel(MobSlime entity, int i, float f)
     {
         if(i == 0)
         {
@@ -34,7 +34,7 @@ public class SlimeRenderer extends MobRenderer<SlimeMob>
         return false;
     }
 
-    protected void scaleSlime(SlimeMob entityslime, float f)
+    protected void scaleSlime(MobSlime entityslime, float f)
     {
         int i = entityslime.getSlimeSize();
         float f1 = (entityslime.oSquish + (entityslime.squish - entityslime.oSquish) * f) / ((float)i * 0.5F + 1.0F);
@@ -44,16 +44,16 @@ public class SlimeRenderer extends MobRenderer<SlimeMob>
     }
 
     @Override
-    protected void setupScale(SlimeMob entity, float partialTick)
+    protected void setupScale(MobSlime entity, float partialTick)
     {
         scaleSlime(entity, partialTick);
     }
 
     @Override
-    protected boolean prepareArmor(SlimeMob entity, int renderPass, float partialTick)
+    protected boolean prepareArmor(MobSlime entity, int renderPass, float partialTick)
     {
         return renderSlimePassModel(entity, renderPass, partialTick);
     }
 
-    private final BaseModel scaleAmount;
+    private final ModelBase scaleAmount;
 }
diff --git a/src/main/java/net/minecraft/client/render/entity/SpiderRenderer.java b/src/main/java/net/minecraft/client/render/entity/MobRendererSpider.java
similarity index 66%
rename from src/main/java/net/minecraft/client/render/entity/SpiderRenderer.java
rename to src/main/java/net/minecraft/client/render/entity/MobRendererSpider.java
index 490ea3388..4b1a74fcc 100644
--- a/src/main/java/net/minecraft/client/render/entity/SpiderRenderer.java
+++ b/src/main/java/net/minecraft/client/render/entity/MobRendererSpider.java
@@ -1,23 +1,22 @@
 package net.minecraft.client.render.entity;
 
-import net.minecraft.client.Minecraft;
 import net.minecraft.client.render.LightmapHelper;
-import net.minecraft.client.render.model.SpiderModel;
-import net.minecraft.core.entity.monster.SpiderMob;
+import net.minecraft.client.render.model.ModelSpider;
+import net.minecraft.core.entity.monster.MobSpider;
 import org.lwjgl.opengl.GL11;
 
 // Referenced classes of package net.minecraft.src:
-//            RenderLiving, SpiderModel, SpiderMob, Mob
+//            RenderLiving, ModelSpider, MobSpider, Mob
 
-public class SpiderRenderer extends MobRenderer<SpiderMob>
+public class MobRendererSpider extends MobRenderer<MobSpider>
 {
 
-    public SpiderRenderer()
+    public MobRendererSpider()
     {
-        super(new SpiderModel(0), 1.0F);
-        setArmorModel(new SpiderModel(0.01f));
+        super(new ModelSpider(0), 1.0F);
+        setArmorModel(new ModelSpider(0.01f));
     }
-    protected boolean setSpiderEyeBrightness(SpiderMob spider, int renderPass, float partialTick)
+    protected boolean setSpiderEyeBrightness(MobSpider spider, int renderPass, float partialTick)
     {
         if(renderPass == 0)
         {
@@ -38,13 +37,13 @@ public class SpiderRenderer extends MobRenderer<SpiderMob>
     }
 
     @Override
-    protected float getMaxDeathRotation(SpiderMob entity)
+    protected float getMaxDeathRotation(MobSpider entity)
     {
         return 180f;
     }
 
     @Override
-    protected boolean prepareArmor(SpiderMob entity, int renderPass, float partialTick) {
+    protected boolean prepareArmor(MobSpider entity, int renderPass, float partialTick) {
         return setSpiderEyeBrightness(entity, renderPass, partialTick);
     }
 }
